Subject: Re: [Uri-review] Request for sftp URI scheme

From: Graham Klyne <[email-masked]>
Date: Mon, 01 Oct 2018 15:11:31 +0100

Hi,

I think provisional registration is desirable, and does not of itself consist of 
a recommendation (or a claim to be a standard).

An intent of provisional registration is to allow developers and others to find 
information about proposed (and in-use) schemes.  Reflecting this, the current 
registration procedure for *provisional* URI schemes does not require any formal 
approval.

If there are multiple competing versions of sftp: in use then it would be 
appropriate to add a note to point this out, and also any additional references 
that are available.

(Rick: if you do submit this to IANA, could you add a link to the archive of 
this discussion in the covering email? Thanks!)

#g
--

On 26/09/2018 15:07, Rick van Rein wrote:
> Hello Ira,
>
>> Two separate efforts to standardize SFTP (the protocol) in IETF failed a
>> long time ago.
>
> I was afraid it had been tried, but didn't know how to find out, other
> than try this.
>
>> Interoperability between different versions is not
>> available.
>
> IOW, standardisation is going to set some people on fire because they
> would be rendered the bad guys.  That's indeed a likely recipe for
> failure in the IETF, where all voices are heard, I fear.
>
>> Do you intend to start an IETF standards-track effort to standardize
>> SFTP?  Or at least to point to a stable, current spec of SFTP protocol?
>
> That is not my current intention.
>
>> Otherwise, I believe that even a provisional registration is of dubious
>> value.
>
> Thanks for explaining that.  I shall keep it in the back of my head in
> case we ever want to go that way.  I suppose for our own application
> I'll have to act in a non-standard manner then.
>
> -Rick
>
> _______________________________________________
> Uri-review mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/uri-review
>